// 自动生成模板Place
package autocode

import (
	"github.com/flipped-aurora/gin-vue-admin/server/global"
)

// Place 结构体
// 如果含有time.Time 请自行import time包
type Place struct {
	global.GVA_MODEL
	Name            string     `json:"name" form:"name" gorm:"column:name;comment:点位名称;type:varchar(255);"`
	Position        string     `json:"position" form:"position" gorm:"column:position;comment:点位定位;type:varchar(255);"`
	Type            *int       `json:"type" form:"type" gorm:"column:type;comment:点位类型;type:int;"`
	Region          string     `json:"region" form:"region" gorm:"column:region;comment:区域;type:varchar(255);"`
	OrganCode       string     `json:"organCode" form:"organCode" gorm:"column:organ_code;comment:区域归属;type:varchar(255);"`
	UnitIntegral    *int       `json:"unitIntegral" form:"unitIntegral" gorm:"column:unit_integral;comment:现有积分;type:int"`
	UnitMaxIntegral *int       `json:"unitMaxIntegral" form:"unitMaxIntegral" gorm:"column:unit_max_integral;comment:满分;type:int"`
	ProList         []PlacePro `json:"proList" gorm:"-"`
}

type PlaceRate struct {
	Name        string `json:"siteType" form:"site_type" gorm:"column:site_type;comment:站点类型id;type:varchar(255);"`
	Label       string `json:"label" form:"label" gorm:"column:label;comment:类型名称;type:varchar(255);"`
	Mattercount string `json:"mattercount" form:"mattercount" gorm:"column:mattercount;comment:问题数量;type:varchar(255);"`
	Num         string `json:"num" form:"num" gorm:"column:num;comment:总数量;type:varchar(255);"`
	Proportion  string `json:"proportion" form:"proportion" gorm:"column:proportion;comment:比例;type:varchar(255);"`
}

// TableName Place 表名
func (Place) TableName() string {
	return "place"
}
